import * as $dara from '@darabonba/typescript';
export declare class OpenSensitiveFileScanRequest extends $dara.Model {
    /**
     * @remarks
     * Specifies whether to enable or disable sensitive file scan. Valid values:
     *
     * *   **on**: enables sensitive file scan
     * *   **off**: disables sensitive file scan
     *
     * @example
     * on
     */
    switchOn?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
